"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Disabled = exports.Default = exports.default = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/slicedToArray"));

var _react = _interopRequireWildcard(require("react"));

var _ = require(".");

function StepComponent(_ref) {
  var title = _ref.title;
  return /*#__PURE__*/_react.default.createElement("p", null, title);
}

var _default = {
  title: 'Backoffice/BreadcrumbStepper',
  component: _.BreadcrumbStepper,
  args: {
    steps: [{
      title: 'Step 1',
      component: function component() {
        return /*#__PURE__*/_react.default.createElement(StepComponent, {
          title: "This is Step 1!"
        });
      }
    }, {
      title: 'Step 2',
      component: function component() {
        return /*#__PURE__*/_react.default.createElement(StepComponent, {
          title: "This is Step 2!"
        });
      }
    }, {
      title: 'Step 3',
      component: function component() {
        return /*#__PURE__*/_react.default.createElement(StepComponent, {
          title: "This is Step 3!"
        });
      }
    }]
  }
};
exports.default = _default;

var Template = function Template(args) {
  var _useState = (0, _react.useState)(0),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      selected = _useState2[0],
      setSelected = _useState2[1];

  return /*#__PURE__*/_react.default.createElement(_.BreadcrumbStepper, Object.assign({}, args, {
    selected: selected,
    onClick: setSelected
  }));
};

var Default = Template.bind({});
exports.Default = Default;

var TemplateDisable = function TemplateDisable(args) {
  return /*#__PURE__*/_react.default.createElement(_.BreadcrumbStepper, Object.assign({}, args, {
    selected: 0,
    onClick: null
  }));
};

var Disabled = TemplateDisable.bind({});
exports.Disabled = Disabled;
Disabled.args = {
  onClick: null
};