"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IconButton = exports.Disabled = exports.FullWidth = exports.Large = exports.Medium = exports.Small = exports.Outlined = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _md = require("react-icons/md");

var _ = require(".");

var _default = {
  title: 'Backoffice/Button',
  component: _.Button,
  args: {
    children: 'Enviar'
  }
};
exports.default = _default;

var Template = function Template(args) {
  return /*#__PURE__*/_react.default.createElement(_.Button, args);
};

var Outlined = Template.bind({});
exports.Outlined = Outlined;
Outlined.args = {
  outlined: true
};
var Small = Template.bind({});
exports.Small = Small;
Small.args = {
  size: 'small'
};
var Medium = Template.bind({});
exports.Medium = Medium;
Medium.args = {
  size: 'medium'
};
var Large = Template.bind({});
exports.Large = Large;
Large.args = {
  size: 'large'
};
var FullWidth = Template.bind({});
exports.FullWidth = FullWidth;
FullWidth.args = {
  fullWidth: true
};
var Disabled = Template.bind({});
exports.Disabled = Disabled;
Disabled.args = {
  disabled: true
};
var IconButton = Template.bind({});
exports.IconButton = IconButton;
IconButton.args = {
  isStartIcon: false,
  icon: /*#__PURE__*/_react.default.createElement(_md.MdSend, null)
};