"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Options = Options;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/slicedToArray"));

var _react = _interopRequireWildcard(require("react"));

var _core = require("@material-ui/core");

var _md = require("react-icons/md");

var _styles = require("./styles");

var _useRefOutsideClick = require("../../hooks/useRefOutsideClick");

function Options(_ref) {
  var options = _ref.options;
  var wrapperRef = (0, _react.useRef)(null);

  var _useState = (0, _react.useState)(null),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      anchorEl = _useState2[0],
      setAnchorEl = _useState2[1];

  (0, _useRefOutsideClick.useRefOutside)(wrapperRef, setAnchorEl, null);

  var handleClick = function handleClick(event) {
    setAnchorEl(anchorEl ? null : event.currentTarget);
  };

  var open = Boolean(anchorEl);
  var id = open ? "simple-popper" : undefined;
  return /*#__PURE__*/_react.default.createElement("span", {
    ref: wrapperRef
  }, /*#__PURE__*/_react.default.createElement(_styles.EditIcon, {
    size: "small",
    onClick: handleClick
  }, /*#__PURE__*/_react.default.createElement(_md.MdMoreHoriz, null)), /*#__PURE__*/_react.default.createElement(_core.Popper, {
    id: id,
    open: open,
    anchorEl: anchorEl,
    ref: wrapperRef
  }, /*#__PURE__*/_react.default.createElement(_styles.PopperDropdown, null, options.map(function (_ref2, index) {
    var Icon = _ref2.icon,
        text = _ref2.text,
        onClick = _ref2.onClick;
    return /*#__PURE__*/_react.default.createElement(_styles.PopperDropdownItem, {
      key: index,
      onClick: onClick
    }, /*#__PURE__*/_react.default.createElement(Icon, null), /*#__PURE__*/_react.default.createElement(_styles.PopperSpan, null, text));
  }))));
}