"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PopperSpan = exports.PopperDropdownItem = exports.PopperDropdown = exports.EditIcon = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/taggedTemplateLiteral"));

var _core = require("@material-ui/core");

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _templateObject, _templateObject2, _templateObject3, _templateObject4;

var EditIcon = (0, _styledComponents.default)(_core.IconButton)(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n  color: 'black';\n  background-color: 'white';\n\n  &:hover,\n  &:focus {\n    background-color: #85b074 !important;\n    color: white;\n    transition: 0.3s;\n  }\n"])));
exports.EditIcon = EditIcon;

var PopperDropdown = _styledComponents.default.ul(_templateObject2 || (_templateObject2 = (0, _taggedTemplateLiteral2.default)(["\n  margin: 0;\n  padding: 0;\n  width: 150px;\n  background: #ffffff;\n  border-radius: 4px;\n  box-shadow: 0px 2px 8px rgba(40, 41, 61, 0.04),\n    0px 16px 24px rgba(96, 97, 112, 0.16);\n\n  ::after,\n  ::before {\n    bottom: 100%;\n    left: 50%;\n    border: solid transparent;\n    content: '';\n    height: 0;\n    width: 0;\n    position: absolute;\n    pointer-events: none;\n  }\n\n  ::after {\n    border-color: rgba(194, 225, 245, 0);\n    border-bottom-color: #ffffff;\n    border-width: 10px;\n    margin-left: -10px;\n  }\n\n  ::before {\n    border-color: rgba(194, 225, 245, 0);\n    border-bottom-color: #ffffff;\n    border-width: 16px;\n    margin-left: -16px;\n  }\n"])));

exports.PopperDropdown = PopperDropdown;

var PopperDropdownItem = _styledComponents.default.li(_templateObject3 || (_templateObject3 = (0, _taggedTemplateLiteral2.default)(["\n  list-style: none;\n  padding: 7px;\n  border-radius: 4px;\n\n  display: flex;\n  align-items: center;\n\n  cursor: pointer;\n\n  :hover {\n    background: #99ce86;\n    color: #ffffff;\n  }\n"])));

exports.PopperDropdownItem = PopperDropdownItem;

var PopperSpan = _styledComponents.default.span(_templateObject4 || (_templateObject4 = (0, _taggedTemplateLiteral2.default)(["\n  font-family: 'Open Sans', sans-serif;\n  font-weight: 600;\n  font-size: 12px;\n  margin-left: 5px;\n"])));

exports.PopperSpan = PopperSpan;