"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StyledButton = StyledButton;

var _react = _interopRequireWildcard(require("react"));

var _styles = require("./styles");

function StyledButton(_ref) {
  var label = _ref.label,
      active = _ref.active,
      style = _ref.style,
      onToggle = _ref.onToggle;
  var handleToggle = (0, _react.useCallback)(function (e) {
    e.preventDefault();
    onToggle(style);
  }, [onToggle, style]);
  return /*#__PURE__*/_react.default.createElement(_styles.Span, {
    active: active,
    onMouseDown: handleToggle
  }, label);
}

StyledButton.defaultProps = {
  active: false
};