"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Default = exports.default = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/slicedToArray"));

var _react = _interopRequireWildcard(require("react"));

var _ = require(".");

var initialValue = ["<h1>This is an HTML text editor!</h1>", "<br />", "", "<p>", "You can format your text using those <b>buttons</b> up there. ", "Or also some keyboard shortcuts! =D", "</p>", "", "<br />", "", "<h3>We also have a list here:</h3>", "<ul>", " <li>I'm a normal text</li>", " <li><b>I'm bold</b></li>", " <li><i>I'm italic</i></li>", "</ul>"].join('');
var _default = {
  title: 'Backoffice/TextEditor',
  component: _.TextEditor,
  args: {
    initialValue: initialValue
  }
};
exports.default = _default;

var Template = function Template(args) {
  var _useState = (0, _react.useState)(''),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      value = _useState2[0],
      setValue = _useState2[1];

  return /*#__PURE__*/_react.default.createElement(_.TextEditor, Object.assign({}, args, {
    selected: value,
    onChange: setValue
  }));
};

var Default = Template.bind({});
exports.Default = Default;