"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useStepper = useStepper;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/slicedToArray"));

var _react = require("react");

function useStepper() {
  var _useState = (0, _react.useState)(0),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      selected = _useState2[0],
      setSelected = _useState2[1];

  var next = (0, _react.useCallback)(function () {
    return setSelected(selected + 1);
  }, [selected]);
  var previous = (0, _react.useCallback)(function () {
    if (selected > 0) setSelected(selected - 1);
  }, [selected]);
  return {
    selected: selected,
    next: next,
    previous: previous,
    setStep: setSelected
  };
}