import React from 'react';
import PropTypes from 'prop-types';

import { Span } from './styles';

/**
  Notification span component
**/
export function Notification({ text }) {
  return (
    <Span>{text}</Span>
  );
}

Notification.propTypes = {
  text: PropTypes.oneOfType([PropTypes.string, PropTypes.number]),
};

Notification.defaultProps = {
  text: 'new',
};
