import styled from 'styled-components';
import { colors, typography } from '../../shared/styles';

export const Span = styled.div`
  height: 23.33px;
  width: 23.33px;

  border-radius: 50%;

  display: flex;
  justify-content: center;
  align-items: center;

  font-family: ${typography.type.secondary};
  size: ${typography.size.s3}px;
  font-weight: 600;

  color: #fff;
  background: ${colors.primaryDark};

  position: absolute;
  top: -12px;
  right: 40px;
`;
