import styled from "styled-components";

import { typography } from "../../shared/styles";

export const Container = styled.div`
  display: flex;
  flex-direction: column;

  font-family: ${typography.type.primary}, sans-serif;
  font-size: ${typography.size.s2}px;
`;

export const Header = styled.header`
  display: flex;
  flex-direction: column;

  background: #fcfcfc;
  border-bottom: 2px solid #ddd;
  padding: 5px;
`;

export const TextEditorContainer = styled.div`
  padding: 7px;
  max-height: 192px;
  min-height: 96px;
  overflow: auto;
  border: 1px solid #c4c4c4;
  border-radius: 0px 0px 5px 5px;
  
  .public-DraftEditor-content {
    min-height: 100px;
  }
`;
