"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Stepper = Stepper;

var _react = _interopRequireWildcard(require("react"));

var _icons = require("@material-ui/icons");

var _objects = require("../../../utils/objects");

var _styles = require("../../../shared/styles");

var _styles2 = require("./styles");

function Separator() {
  return /*#__PURE__*/_react.default.createElement(_icons.NavigateNext, {
    htmlColor: _styles.colors.amulet
  });
}

function Stepper(_ref) {
  var selected = _ref.selected,
      steps = _ref.steps,
      _onClick = _ref.onClick;
  return /*#__PURE__*/_react.default.createElement(_styles2.Container, null, steps.map(function (step, index) {
    return /*#__PURE__*/_react.default.createElement(_react.Fragment, {
      key: index
    }, /*#__PURE__*/_react.default.createElement(_styles2.Step, Object.assign({
      index: index,
      selected: selected
    }, (0, _objects.insertIf)(_onClick, {
      onClick: function onClick() {
        return _onClick(index);
      }
    })), step.title), index < steps.length - 1 && /*#__PURE__*/_react.default.createElement(Separator, null));
  }));
}