"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Step = exports.Container = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/taggedTemplateLiteral"));

var _styledComponents = _interopRequireWildcard(require("styled-components"));

var _styles = require("../../../shared/styles");

var _templateObject, _templateObject2, _templateObject3;

function getSpanColor(index, selected) {
  if (index === selected) return _styles.colors.darkest;
  if (index > selected) return _styles.colors.mediumdark;
  return _styles.colors.dark;
}

var Container = _styledComponents.default.div(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n  display: flex;\n  align-items: center;\n"])));

exports.Container = Container;

var Step = _styledComponents.default.span(_templateObject2 || (_templateObject2 = (0, _taggedTemplateLiteral2.default)(["\n  font-family: ", ";\n  font-size: ", "px;\n  font-weight: ", ";\n  cursor: ", ";\n  line-height: 26px;\n\n  color: ", ";\n  \n  ", "\n"])), _styles.typography.type.primary, _styles.typography.size.s2, _styles.typography.weight.bold, function (_ref) {
  var onClick = _ref.onClick;
  return onClick && 'pointer';
}, function (_ref2) {
  var index = _ref2.index,
      selected = _ref2.selected;
  return getSpanColor(index, selected);
}, function (_ref3) {
  var index = _ref3.index,
      selected = _ref3.selected;
  return index === selected && (0, _styledComponents.css)(_templateObject3 || (_templateObject3 = (0, _taggedTemplateLiteral2.default)(["\n    border-bottom: 2px solid ", ";\n  "])), _styles.colors.amulet);
});

exports.Step = Step;