"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TypographyMenuItemStyled = exports.ListItemIconStyled = exports.ListMenuItemStyled = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/taggedTemplateLiteral"));

var _core = require("@material-ui/core");

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _templateObject, _templateObject2, _templateObject3;

var ListMenuItemStyled = (0, _styledComponents.default)(_core.List)(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n  height: 32px;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  cursor: pointer;\n  margin-bottom: 5px;\n  box-sizing: content-box;\n\n  &:hover,\n  &:focus {\n    border-radius: 0px 99px 99px 0px;\n    background-color: #9cd186;\n    color: white;\n    transition: 0.3s;\n  }\n\n  .MuiListItem-root.Mui-selected,\n  .MuiListItem-root.Mui-selected:hover {\n    background-color: #9cd186;\n  }\n\n  .Mui-selected {\n    border-radius: 0px 99px 99px 0px;\n    background-color: #9cd186;\n\n    .MuiListItemIcon-root,\n    .MuiTypography-root {\n      color: white;\n    }\n  }\n"])));
exports.ListMenuItemStyled = ListMenuItemStyled;
var ListItemIconStyled = (0, _styledComponents.default)(_core.ListItemIcon)(_templateObject2 || (_templateObject2 = (0, _taggedTemplateLiteral2.default)(["\n  color: #3b3b3a;\n  display: flex;\n  justify-content: center;\n\n  ", ":hover & {\n    color: #fff;\n  }\n"])), ListMenuItemStyled);
exports.ListItemIconStyled = ListItemIconStyled;
var TypographyMenuItemStyled = (0, _styledComponents.default)(_core.Typography)(_templateObject3 || (_templateObject3 = (0, _taggedTemplateLiteral2.default)(["\n  color: #3b3b3a;\n  font-weight: 600;\n\n  ", ":hover & {\n    color: #fff;\n  }\n"])), ListMenuItemStyled);
exports.TypographyMenuItemStyled = TypographyMenuItemStyled;