"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Content = exports.Button = exports.Container = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/taggedTemplateLiteral"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _styles = require("../../shared/styles");

var _templateObject, _templateObject2, _templateObject3;

var Container = _styledComponents.default.div(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n  width: 230px;\n\n  position: fixed;\n  bottom: 100px;\n  right: 75px;\n  z-index: 1;\n\n  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.15);\n"])));

exports.Container = Container;

var Button = _styledComponents.default.div(_templateObject2 || (_templateObject2 = (0, _taggedTemplateLiteral2.default)(["\n  height: 40px;\n  padding: 0 7px;\n  box-sizing: border-box;\n  \n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n  \n  cursor: pointer;\n\n  color: #000;\n  font-weight: ", ";\n  font-family: ", ";\n  font-size: ", "px;\n  \n  background: #F9F8F4;\n  border-radius: ", ";\n  border-bottom: ", ";\n\n  position: relative;\n"])), _styles.typography.weight.bold, _styles.typography.type.secondary, _styles.typography.size.s2, function (_ref) {
  var open = _ref.open;
  return open ? '4px 4px 0 0' : '4px';
}, function (_ref2) {
  var open = _ref2.open;
  return open && '1px solid #C7C7C7';
});

exports.Button = Button;

var Content = _styledComponents.default.div(_templateObject3 || (_templateObject3 = (0, _taggedTemplateLiteral2.default)(["\n  height: ", ";\n  max-height: 700px;\n  padding: ", ";\n  \n  box-sizing: border-box;\n\n  word-wrap: break-word;\n  overflow: hidden;\n  overflow-y: auto;\n\n  background: #F9F8F4;\n  border-radius: 0 0 4px 4px;\n\n  ::-webkit-scrollbar {\n    width: 7px;\n  }\n\n  /* Track */\n  ::-webkit-scrollbar-track {\n    background: #f1f1f1;\n  }\n\n  /* Handle */\n  ::-webkit-scrollbar-thumb {\n    background: #9e9e9e;\n    border-radius: 4px;\n  }\n\n  /* Handle on hover */\n  ::-webkit-scrollbar-thumb:hover {\n    background: #888;\n  }\n"])), function (_ref3) {
  var open = _ref3.open;
  return open ? 'auto' : '0px';
}, function (_ref4) {
  var open = _ref4.open;
  return open ? '7px' : 'none';
});

exports.Content = Content;