"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Formatted = exports.Default = exports.default = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/slicedToArray"));

var _react = _interopRequireWildcard(require("react"));

var _Input = require("../Input");

var _default = {
  title: "Backoffice/Input",
  component: _Input.Input,
  args: {
    label: "Label Description",
    placeholder: "Placeholder description",
    helperText: "Help text description",
    size: "small"
  }
};
exports.default = _default;

var Template = function Template(args) {
  var _useState = (0, _react.useState)(""),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      localValue = _useState2[0],
      setValue = _useState2[1];

  var onChangeInput = function onChangeInput(inputValue) {
    setValue(inputValue.target.value);
  };

  return /*#__PURE__*/_react.default.createElement(_Input.Input, Object.assign({}, args, {
    value: localValue,
    handleChange: onChangeInput
  }));
};

var Default = Template.bind({});
exports.Default = Default;
var Formatted = Template.bind({});
exports.Formatted = Formatted;
Formatted.args = {
  isNumeric: true,
  mask: ".",
  format: "(##) #####-####"
};