"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InlineControls = InlineControls;

var _react = _interopRequireDefault(require("react"));

var _StyledButton = require("../StyledButton");

var _styles = require("./styles");

var INLINE_STYLES = [{
  label: 'Bold',
  style: 'BOLD'
}, {
  label: 'Italic',
  style: 'ITALIC'
}];

function InlineControls(_ref) {
  var onToggle = _ref.onToggle,
      editorState = _ref.editorState;
  var currentStyle = editorState.getCurrentInlineStyle();
  return /*#__PURE__*/_react.default.createElement(_styles.Container, null, INLINE_STYLES.map(function (type) {
    return /*#__PURE__*/_react.default.createElement(_StyledButton.StyledButton, {
      key: type.label,
      active: currentStyle.has(type.style),
      label: type.label,
      onToggle: onToggle,
      style: type.style
    });
  }));
}