"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextEditorContainer = exports.Header = exports.Container = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/taggedTemplateLiteral"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _styles = require("../../shared/styles");

var _templateObject, _templateObject2, _templateObject3;

var Container = _styledComponents.default.div(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n  display: flex;\n  flex-direction: column;\n\n  font-family: ", ", sans-serif;\n  font-size: ", "px;\n"])), _styles.typography.type.primary, _styles.typography.size.s2);

exports.Container = Container;

var Header = _styledComponents.default.header(_templateObject2 || (_templateObject2 = (0, _taggedTemplateLiteral2.default)(["\n  display: flex;\n  flex-direction: column;\n\n  background: #fcfcfc;\n  border-bottom: 2px solid #ddd;\n  padding: 5px;\n"])));

exports.Header = Header;

var TextEditorContainer = _styledComponents.default.div(_templateObject3 || (_templateObject3 = (0, _taggedTemplateLiteral2.default)(["\n  padding: 7px;\n  max-height: 192px;\n  min-height: 96px;\n  overflow: auto;\n  border: 1px solid #c4c4c4;\n  border-radius: 0px 0px 5px 5px;\n  \n  .public-DraftEditor-content {\n    min-height: 100px;\n  }\n"])));

exports.TextEditorContainer = TextEditorContainer;