import React from 'react';
import { MdSend } from 'react-icons/md'

import { Button } from '.';

export default {
  title: 'Backoffice/Button',
  component: Button,
  args: {
    children: 'Enviar',
  },
};

const Template = (args) => <Button {...args} />;

export const Outlined = Template.bind({});
Outlined.args = {
  outlined: true,
};

export const Small = Template.bind({});
Small.args = {
  size: 'small',
};

export const Medium = Template.bind({});
Medium.args = {
  size: 'medium',
};

export const Large = Template.bind({});
Large.args = {
  size: 'large',
};

export const FullWidth = Template.bind({});
FullWidth.args = {
  fullWidth: true,
};

export const Disabled = Template.bind({});
Disabled.args = {
  disabled: true,
};

export const IconButton = Template.bind({});
IconButton.args = {
  isStartIcon: false,
  icon: <MdSend />,
};
